rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
availableIndex_s Struct Reference

Index of all available items. More...

Collaboration diagram for availableIndex_s:
[legend]

## Data Fields
availableIndexEntry | index
int | size
int | k

## Detailed Description

Index of all available items.

Definition at line 69 of file rpmal.c.

## Field Documentation

availableIndexEntry availableIndex_s::index

Array of available items.

Definition at line 71 of file rpmal.c.

Referenced by rpmalAddProvides(), rpmalAllSatisfiesDepend(), rpmalCreate(), rpmalFreeIndex(), and rpmalMakeIndex().

int availableIndex_s::k

Current index.

Definition at line 73 of file rpmal.c.

Referenced by rpmalAddProvides(), and rpmalMakeIndex().

int availableIndex_s::size

No. of available items.

Definition at line 72 of file rpmal.c.

Referenced by rpmalAddProvides(), rpmalAllSatisfiesDepend(), rpmalCreate(), rpmalFreeIndex(), and rpmalMakeIndex().

The documentation for this struct was generated from the following file:

- lib/rpmal.c